public static interface DataLakeEndpointBuilderFactory.DataLakeBuilders
| Modifier and Type | Method and Description |
|---|---|
default DataLakeEndpointBuilderFactory.DataLakeEndpointBuilder |
azureStorageDatalake(String path)
Azure storage datalake service (camel-azure-storage-datalake)
Camel Azure Datalake Gen2 Component
Category: cloud,file
Since: 3.8
Maven coordinates: org.apache.camel:camel-azure-storage-datalake
Syntax:
azure-storage-datalake:accountName/fileSystemName
Path parameter: accountName
name of the azure account
Path parameter: fileSystemName
name of filesystem to be used |
default DataLakeEndpointBuilderFactory.DataLakeEndpointBuilder |
azureStorageDatalake(String componentName,
String path)
Azure storage datalake service (camel-azure-storage-datalake)
Camel Azure Datalake Gen2 Component
Category: cloud,file
Since: 3.8
Maven coordinates: org.apache.camel:camel-azure-storage-datalake
Syntax:
azure-storage-datalake:accountName/fileSystemName
Path parameter: accountName
name of the azure account
Path parameter: fileSystemName
name of filesystem to be used |
default DataLakeEndpointBuilderFactory.DataLakeEndpointBuilder azureStorageDatalake(String path)
azure-storage-datalake:accountName/fileSystemName
Path parameter: accountName
name of the azure account
Path parameter: fileSystemName
name of filesystem to be usedpath - accountName/fileSystemNamedefault DataLakeEndpointBuilderFactory.DataLakeEndpointBuilder azureStorageDatalake(String componentName, String path)
azure-storage-datalake:accountName/fileSystemName
Path parameter: accountName
name of the azure account
Path parameter: fileSystemName
name of filesystem to be usedcomponentName - to use a custom component name for the endpoint
instead of the default namepath - accountName/fileSystemNameApache Camel